#
# spec file for package perl-Ogg-Vorbis-Header-PurePerl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Ogg-Vorbis-Header-PurePerl
Version:        1.0
Release:        2.3
Summary:        Ogg Vorbis Information and Comments Fields
License:        GPL-2.0+ or Artistic-1.0+
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/Ogg-Vorbis-Header-PurePerl-%{version}.tar.gz
Patch0:         Ogg-Vorbis-Header-PurePerl-1.0.patch
Url:            http://search.cpan.org/dist/Ogg-Vorbis-Header-PurePerl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  make
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
Ogg::Vorbis::Header::PurePerl - An object-oriented interface to Ogg Vorbis
information and comment fields, implemented entirely in Perl. Intended to be a
drop in replacement for Ogg::Vobis::Header.

Unlike Ogg::Vorbis::Header, this module will go ahead and fill in all of the
information fields as soon as you construct the object. In other words, the new
and load constructors have identical behavior.

%prep
%setup -q -n "Ogg-Vorbis-Header-PurePerl-%{version}"
%patch0 -p1
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes LICENSE.GPL README
%dir %{perl_vendorlib}/Ogg
%dir %{perl_vendorlib}/Ogg/Vorbis
%dir %{perl_vendorlib}/Ogg/Vorbis/Header
%{perl_vendorlib}/Ogg/Vorbis/Header/PurePerl.pm
%{perl_vendorlib}/Ogg/Vorbis/Header/ogginfo.pl
%doc %{perl_man3dir}/Ogg::Vorbis::Header::PurePerl.%{perl_man3ext}%{ext_man}

%changelog
* Tue Apr 12 2016 olaf@aepfle.de
- https://cpan.rt.develooper.com/Public/Bug/Display.html?id=104869
* Sat Feb 18 2012 pascal.bleser@opensuse.org
- version 1.0
